package ru.yandex.autotests.directapi.apiclient.errors;

import com.google.gson.annotations.SerializedName;

import ru.yandex.autotests.irt.testutils.json.JsonUtils;

/**
 * User: mariabye
 * Date: 21.01.13
 */
public class WarningDescription {

    @SerializedName("new_id")
    private Long newID;

    @SerializedName("old_id")
    private Long oldID;

    @SerializedName("id")
    private Long id;

    public WarningDescription(Long newID, Long oldID, Long id) {
        this.newID = newID;
        this.oldID = oldID;
        this.id = id;
    }

    public WarningDescription() {

    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOldID() {
        return oldID;
    }

    public void setOldID(Long oldID) {
        this.oldID = oldID;
    }

    public Long getNewID() {
        return newID;
    }

    public void setNewID(Long newID) {
        this.newID = newID;
    }

    public String toString() {
        return JsonUtils.toString(this);
    }
}
